Bug 466010 - eSATA drive won't mount
eSATA drive won't mount
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-07 14:00 EDT by Linuxguy123
Modified: 2009-01-09 01:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:47:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Linuxguy123 2008-10-07 14:00:15 EDT
Description of problem:
eSATA drive doesn't fdisk or mount properly.   Data was lost with one mount attempt.  The SATA speed may be incorrect.

Version-Release number of selected component (if applicable):
uname -a
Linux localhost.localdomain 2.6.26.5-28.fc8 #1 SMP Sat Sep 20 09:32:58 EDT 2008 i686 i686 i386 GNU/Linux

$ rpm -q hal
hal-0.5.10-4.fc8

Let me know what other components you need version numbers for. 

The computer is an HP hdx9494 laptop.  Intel T8100 processor, 4GB RAM, Intel 965 chipset, 2 SATA drives internally, etc.

The external drive is a AZIO USB/eSATA enclosure with a 3.5" 500GB Hitachi SATA hard drive.  It is formated as ext3.

The drive works properly on an eSATA port in Windows and works fine with Linux via the USB interface.  

The eSATA interface for both the computer and the drive is listed as 3 Gbps, ie its eSATA2.   The drive supports NCQ commands.

How reproducible:
Every time.  I've never been able to get an eSATA drive to fdisk and mount correctly. 

Steps to Reproduce:

I've tested this as a hotplug and having it running at boot.

Hotplug1: boot the laptop.  Power up the drive. Plug the eSATA cable into the laptop.

Hotplug2: boot the laptop.  Plug in the eSATA cable into the laptop.  Power up the drive.

Boot-time: Power up the drive.  Plug the eSATA cable into the laptop.  Power up the laptop and boot it. 

  
Actual results:

Neither of the hotplug methods produce any results.  No entries in the logfiles.  fdisk doesn't show anything.

The boot-time method produces the following entry into /var/log/messages:

========================================================
Oct  2 11:10:37 localhost kernel:  sdb: sdb1
Oct  2 11:10:37 localhost kernel: sd 2:0:0:0: [sdb] Attached SCSI disk
Oct  2 11:10:37 localhost kernel: ACPI: PCI Interrupt 0000:20:00.0[A] ->
GSI 19 (level, low) -> IRQ 19
Oct  2 11:10:37 localhost kernel: scsi3 : sata_sil24
Oct  2 11:10:37 localhost kernel: ata4: SATA max UDMA/100 host
m128@0xe0100000 port 0xe0102000 irq 19
Oct  2 11:10:37 localhost kernel: ata4: SATA link up 1.5 Gbps (SStatus
113 SControl 0)
Oct  2 11:10:37 localhost kernel: ata4.00: ATA-8: Hitachi
HDP725050GLA360, GM4OA52A, max UDMA/133
Oct  2 11:10:37 localhost kernel: ata4.00: 976773168 sectors, multi 0:
LBA48 NCQ (depth 31/32)
Oct  2 11:10:37 localhost kernel: ata4.00: configured for UDMA/100
Oct  2 11:10:37 localhost kernel: scsi 3:0:0:0: Direct-Access     ATA
Hitachi HDP72505 GM4O PQ: 0 ANSI: 5
Oct  2 11:10:37 localhost kernel: sd 3:0:0:0: [sdc] 976773168 512-byte
hardware sectors (500108 MB)
Oct  2 11:10:37 localhost kernel: sd 3:0:0:0: [sdc] Write Protect is off
Oct  2 11:10:37 localhost kernel: sd 3:0:0:0: [sdc] Write cache:
enabled, read cache: enabled, doesn't support DPO or FUA
Oct  2 11:10:37 localhost kernel: sd 3:0:0:0: [sdc] 976773168 512-byte
hardware sectors (500108 MB)
Oct  2 11:10:37 localhost kernel: sd 3:0:0:0: [sdc] Write Protect is off
Oct  2 11:10:37 localhost kernel: sd 3:0:0:0: [sdc] Write cache:
enabled, read cache: enabled, doesn't support DPO or FUA
Oct  2 11:10:37 localhost kernel:  sdc: sdc1
Oct  2 11:10:37 localhost kernel: sd 3:0:0:0: [sdc] Attached SCSI disk
Oct  2 11:10:37 localhost kernel: ACPI: PCI Interrupt 0000:00:1f.1[A] ->
GSI 16 (level, low) -> IRQ 16
Oct  2 11:10:37 localhost kernel: scsi4 : ata_piix
Oct  2 11:10:37 localhost kernel: scsi5 : ata_piix
Oct  2 11:10:37 localhost kernel: ata5: PATA max UDMA/100 cmd 0x1f0 ctl
0x3f6 bmdma 0x70a0 irq 14
Oct  2 11:10:37 localhost kernel: ata6: PATA max UDMA/100 cmd 0x170 ctl
0x376 bmdma 0x70a8 irq 15
Oct  2 11:10:37 localhost kernel: ata5.00: ATAPI: Optiarc BD ROM
BC-5500A, 1.86, max MWDMA2
===========================================================================

If I run hwbrowser and look at it, it shows the drive under sdc with the
correct geometry and such, but without a partition, ie no sdc1 or file
sizes.

So it appears to be recognized by the computer on some level.

However, if I mount it with "mount /dev/sdc1 temp" or "mount
-text3 /dev/sdc1 temp", the console will hang for a minute or so before
returning without any errors.  However, the drive is unusable (ls
returns an empty directory) and /var/logs/messages shows the following:

=========================================================================
Oct  2 11:16:49 localhost kernel: ata4.00: qc timeout (cmd 0xec)
Oct  2 11:16:49 localhost kernel: ata4.00: failed to IDENTIFY (I/O
error, err_mask=0x4)
Oct  2 11:16:49 localhost kernel: ata4.00: revalidation failed
(errno=-5)
Oct  2 11:16:49 localhost kernel: ata4: failed to recover some devices,
retrying in 5 secs
Oct  2 11:16:54 localhost kernel: ata4: hard resetting link
Oct  2 11:16:56 localhost kernel: ata4: SATA link up 1.5 Gbps (SStatus
113 SControl 0)
Oct  2 11:17:26 localhost kernel: ata4.00: qc timeout (cmd 0xec)
Oct  2 11:17:26 localhost kernel: ata4.00: failed to IDENTIFY (I/O
error, err_mask=0x4)
Oct  2 11:17:26 localhost kernel: ata4.00: revalidation failed
(errno=-5)
Oct  2 11:17:26 localhost kernel: ata4: failed to recover some devices,
retrying in 5 secs
Oct  2 11:17:31 localhost kernel: ata4: hard resetting link
Oct  2 11:17:33 localhost kernel: ata4: SATA link up 1.5 Gbps (SStatus
113 SControl 0)
Oct  2 11:18:03 localhost kernel: ata4.00: qc timeout (cmd 0xec)
Oct  2 11:18:03 localhost kernel: ata4.00: failed to IDENTIFY (I/O
error, err_mask=0x4)
Oct  2 11:18:03 localhost kernel: ata4.00: revalidation failed
(errno=-5)
Oct  2 11:18:03 localhost kernel: ata4.00: disabled
Oct  2 11:18:04 localhost kernel: ata4: hard resetting link
Oct  2 11:18:06 localhost kernel: ata4: SATA link up 1.5 Gbps (SStatus
113 SControl 0)
Oct  2 11:18:06 localhost kernel: ata4: EH complete
Oct  2 11:18:06 localhost kernel: sd 3:0:0:0: [sdc] Result:
hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK,SUGGEST_OK
Oct  2 11:18:06 localhost kernel: end_request: I/O error, dev sdc,
sector 976767935
Oct  2 11:18:06 localhost kernel: Buffer I/O error on device sdc1,
logical block 488383936
Oct  2 11:18:06 localhost kernel: Buffer I/O error on device sdc1,
logical block 488383937
Oct  2 11:18:06 localhost kernel: Buffer I/O error on device sdc1,
logical block 488383938
Oct  2 11:18:06 localhost kernel: Buffer I/O error on device sdc1,
logical block 488383939
Oct  2 11:18:06 localhost kernel: sd 3:0:0:0: [sdc] Result:
hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK,SUGGEST_OK
Oct  2 11:18:06 localhost kernel: end_request: I/O error, dev sdc,
sector 976767935
Oct  2 11:18:06 localhost kernel: Buffer I/O error on device sdc1,
logical block 488383936
Oct  2 11:18:06 localhost kernel: sd 3:0:0:0: [sdc] Result:
hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK,SUGGEST_OK
Oct  2 11:18:06 localhost kernel: end_request: I/O error, dev sdc,
sector 976767937
Oct  2 11:18:06 localhost kernel: Buffer I/O error on device sdc1,
logical block 488383937
Oct  2 11:18:06 localhost kernel: Buffer I/O error on device sdc1,
logical block 488383938
Oct  2 11:18:06 localhost kernel: Buffer I/O error on device sdc1,
logical block 488383939
Oct  2 11:18:06 localhost kernel: sd 3:0:0:0: [sdc] Result:
hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK,SUGGEST_OK
Oct  2 11:18:06 localhost kernel: end_request: I/O error, dev sdc,
sector 63
Oct  2 11:18:06 localhost kernel: Buffer I/O error on device sdc1,
logical block 0
Oct  2 11:18:06 localhost kernel: sd 3:0:0:0: [sdc] Result:
hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK,SUGGEST_OK
Oct  2 11:18:06 localhost kernel: end_request: I/O error, dev sdc,
sector 65
Oct  2 11:18:06 localhost kernel: Buffer I/O error on device sdc1,
logical block 1
Oct  2 11:18:06 localhost kernel: sd 3:0:0:0: [sdc] Result:
hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK,SUGGEST_OK
Oct  2 11:18:06 localhost kernel: end_request: I/O error, dev sdc,
sector 63
Oct  2 11:18:06 localhost kernel: sd 3:0:0:0: [sdc] Result:
hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK,SUGGEST_OK
Oct  2 11:18:06 localhost kernel: end_request: I/O error, dev sdc,
sector 65
Oct  2 11:18:06 localhost kernel: sd 3:0:0:0: [sdc] Result:
hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK,SUGGEST_OK
Oct  2 11:18:06 localhost kernel: end_request: I/O error, dev sdc,
sector 65
Oct  2 11:18:06 localhost kernel: hfs: unable to find HFS+ superblock
Oct  2 11:23:03 localhost kernel: sd 3:0:0:0: [sdc] Result:
hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK,SUGGEST_OK
Oct  2 11:23:03 localhost kernel: end_request: I/O error, dev sdc,
sector 65
Oct  2 11:23:03 localhost kernel: EXT3-fs: unable to read superblock
==================================================================

One thing that sticks out for me in all this is the SATA data rate.
Both the computer and the drive are supposed to be 3.0Gb/s devices.  Yet
the driver wants to connect at 1.5 Gbps.

The Serial ATA Controller is listed as ahci in hwbrowser.

# /sbin/lsmod | grep sat
sata_sil24             16069  0
libata                131937  3 ata_piix,sata_sil24,ahci


Expected results:

fdisk should show a single partition for /dev/sdc1, ~500GB.
mount should be able to mount /dev/sdc1.

Additional info:

Let me know what else you need to see.

Thanks for listening.
Comment 1 Chuck Ebbert 2008-10-10 13:24:20 EDT
The external controller is sata_sil24, which may not be reliable in 2.6.26. Alan may know more.
Comment 2 Alan Cox 2008-10-10 18:00:31 EDT
sata_sil24 is pretty solid. There are some hardware compat issues with certain board/bios combinations but those are older ones mostly and the bioses got fixed too

However start by reading http://www.sata-io.org/esata.asp

If you have some other combination of internal sata cabling with an external plug then I wouldn't be suprised if it failed. eSATA is not SATA with an external plug it is electrically different, a detail some cheap equipment tries to ignore with predictable results.

Alan
Comment 3 Linuxguy123 2008-10-10 18:45:37 EDT
Thanks, guys.

I'm installing F8 as a dual boot on another laptop with eSATA next week.  

I'll then check if the eSATA drive works with Vista and/or F8 on that machine and report back. 

LG
Comment 4 Linuxguy123 2008-10-16 00:34:43 EDT
I just tested the external drive on Vista by installing the ext2 kernel driver downloaded from here:  http://www.fs-driver.org/index.html

The drive works well with both USB and with eSATA under Vista.   I have no reason to believe that there is anything wrong with the external drive.
Comment 5 Alan Cox 2008-10-16 07:52:07 EDT
Thats useful to know as obviously if the hardware is working same machine/sata cable/drive in Vista it rules out of a lot of hardware questions.
Comment 6 Linuxguy123 2008-10-27 11:32:05 EDT
Could someone have a look at this ?  I need to transfer a whole bunch of information to my external drive.

Thanks
Comment 7 Alan Cox 2008-10-27 11:52:21 EDT
I have looked at it. I can't draw any useful conclusions from it or duplicate it, so I have no plan to do any further work on it until/unless patterns emerge from other similar reporta that make it debuggable.
Comment 8 Linuxguy123 2008-10-27 13:34:46 EDT
Is there a way for me to generate more debugging output that might help you troubleshoot it ?

Thanks
Comment 9 Bug Zapper 2008-11-26 06:13:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 01:47:49 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.